/*
 * GameOver.h
 *
 *  Created on: Jun 21, 2014
 *      Author: brian
 */

#ifndef GAMEOVER_H_
#define GAMEOVER_H_

#include "GameObject.h"
#include "Vector2D.h"
#include <iostream>

using namespace std;


class GameOver : public GameObject
{
public:
	GameOver();
	void startAnimation();
	bool isAlive();
	void showSign();
	bool started();
	bool finished();
	void resetFinish();


private:
	Uint32 numLastTime, numCurrentTime, numDelayTime;
	bool m_signAlive;
	bool m_started;
	bool m_finished;

};



#endif /* GAMEOVER_H_ */
